### Function

# AppStream utils_guess_scope_from_path

since: 0.15.0

#### Declaration [src]

    AsComponentScope
    as_utils_guess_scope_from_path (
      const gchar* path
    )

#### Description [src]

Guess the `AsComponentScope` that applies to a given path.

Available since: 0.15.0

#### Parameters

`path`

  Type: `const gchar*`

  The filename to test.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `AsComponentScope`

The `AsComponentScope`.